#ifndef XFXELEMATLAS_H
#define XFXELEMATLAS_H

#include "xasset.h"

class XFxElemAtlas : public XAsset
{
public:
    explicit XFxElemAtlas();
    ~XFxElemAtlas();

    void Clear() override;
    void ParseData(QDataStream *aStream) override;

private:
    quint8 mBehavior;
    quint8 mIndex;
    quint8 mFps;
    quint8 mLoopCount;
    quint8 mColIndexBits;
    quint8 mRowIndexBits;
    qint16 mEntryCount;
};

#endif // XFXELEMATLAS_H
